Name:           grib_api
Version:        1.9.16
Release:        7%{?dist}
Summary:        WMO FM-92 GRIB (v1,v2) interface accessible from C and FORTRAN programs

Group:          Applications/System
License:        LGPLv3
URL:            http://www.ecmwf.int/products/data/software/grib_api.html
Source0:        http://www.ecmwf.int/products/data/software/download/software_files/%{name}-%{version}.tar.gz
Patch0:         grib_api-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran
BuildRequires:  jasper-devel

%description
The ECMWF GRIB API is an application program interface accessible from C
and FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB
edition 1 and edition 2 messages. A useful set of command line tools is
also provided to give quick access to grib messages.

%package devel
Summary:    GRIB API development headers
Group:      Development/Languages
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   %{name}-static%{?_isa} = %{version}-%{release}
Requires:   gcc-gfortran%{?_isa}
Requires:   jasper-devel%{?_isa}

%description devel
Header files and libraries for building a extension library

%package static
Summary:    GRIB API static libraries
Group:      Applications/System
Requires:   %{name}%{?_isa} = %{version}-%{release}
Requires:   %{name}-devel%{?_isa} = %{version}-%{release}

%description static
Static libraries for %{name}

%prep
%setup -q
%patch0 -p1 -b .paths
# Fix ksh path
sed -i -e 's,/usr/bin/ksh,/bin/ksh,' tools/grib1to2.txt


%build
%ifarch x86_64 %{arm}
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%endif
%{configure} --with-ifs-samples=%{_datadir}/%{name}/ifs_samples
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Convert ISO88591 text to UTF-8
for file in `find %{buildroot}/%{_datadir}/%{name}/definitions/`; do
    iconv -f ISO88591 -t utf-8 $file > $file.new && mv $file.new $file || rm -f $file.new
done

# Move %{_bindir}/parser because it conflicts with coda-client
mv %{buildroot}/%{_bindir}/parser %{buildroot}/%{_bindir}/grib-parser

# Give these files some normal permissions
chmod 644 README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt

# Move the fortran module into _fmoddir
mkdir -p %{buildroot}%{_fmoddir}
mv %{buildroot}%{_includedir}/%{name}.mod %{buildroot}%{_fmoddir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/definitions/
%doc %{_datadir}/%{name}/ifs_samples/
%doc %{_datadir}/%{name}/samples/

%files devel
%defattr(-,root,root,-)
%doc README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt
%{_includedir}/*
%{_fmoddir}/%{name}.mod

%files static
%defattr(-,root,root,-)
%doc README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt
%{_libdir}/*.a

%changelog
* Fri Mar 8 2013 Orion Poplawski <orion@cora.nwra.com> - 1.9.16-7
- Build with -fPIC on ARM (bug #919614)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.16-4
- Revert to /bin/ksh

* Mon Jul 9 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.16-3
- Definitions are not documentation
- Drop INSTALL from docs
- Add Requires jasper-devel to -devel package
- Don't change ksh path on Fedora 17+

* Fri Jul 6 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.16-2
- Build fortran interface

* Tue Mar 13 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.16-1
- Update to 1.9.16

* Sat Jan 14 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.9-2
- Fix ksh path

* Fri Jan 13 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.9-1
- Update to 1.9.9
- Fix directory ownership

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 15 2010 Orion Poplawski <orion@cora.nwra.com> - 1.7.0-5
- Compile with -fPIC on x86_64 (bug #561914)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.7.0-3
- Fix file conflict (#492936)

* Tue Mar 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.7.0-1
- New upstream version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec  3 2008 Patrice Dumas <pertusus@free.fr> 1.6.4-1
- update to 1.6.4

* Tue Sep 30 2008 Patrice Dumas <pertusus@free.fr> 1.6.1-1
- update to 1.6.1

* Sat Feb 23 2008 Patrice Dumas <pertusus@free.fr> 1.4.0-1
- update to 1.4.0

* Sat Dec 29 2007 Patrice Dumas <pertusus@free.fr> 1.3.0-1
- initial release
